VME Intensity Monitor - Feature #11010
Milestone # 10477 (New): ANUB Startup
Feature # 9396 (Assigned): Beam Energy Loss Devices

x:BEL devices for Ml and RR
11/26/2015 11:11 AM - John Diamond

Status: Closed Start date: 11/26/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 1.00 hour
Target version: Spent time: 4.00 hours
Description

Create Z: devices that can be used in parellel with the existing I:BEL and R:BEL devices provided by MIBEAM.

History

#1 - 12/13/2015 07:32 PM - John Diamond

Implemented BELMachine class. Much like CycleDeviceMachine this class aggregates all of the BELDevices associated with a machine - e.g. Main
Injector or Recycler.

#2 - 12/13/2015 07:32 PM - John Diamond
- Status changed from New to Assigned
- Assignee set to John Diamond

- % Done changed from 0 to 30

#3 - 12/13/2015 09:28 PM - John Diamond
- % Done changed from 30 to 70

Added support to the BEL calculation to read the machine's beam energy from MDAT and correct the energy loss.
Configured anubstartup to use a constant 8 gev energy for the Recycler and to read Ml energy from MDAT $30.

#4 - 12/13/2015 09:42 PM - John Diamond
- % Done changed from 70 to 80

Implemented accessor for m:BEL.

#5 - 12/16/2015 12:31 PM - John Diamond
- Status changed from Assigned to Closed

- % Done changed from 80 to 100

Devices made, see ACNET_Devices
